Package Details: python2-cliapp 1.20160724-1

Git Clone URL: https://aur.archlinux.org/python2-cliapp.git (read-only)
Package Base: python2-cliapp
Description: Python framework for Unix-like command line programs
Upstream URL: http://liw.fi/cliapp/
Licenses: GPL2
Submitter: mathieu.clabaut
Maintainer: ejona86
Last Packager: ejona86
Votes: 19
Popularity: 0.252617
First Submitted: 2011-10-12 14:07
Last Updated: 2016-08-08 04:41

Latest Comments

SanskritFritz commented on 2016-06-20 13:29

Please add python2-yaml as dependency.

imp0 commented on 2016-01-21 20:00

Please add python2-yaml as a dependency, otherwise the build will fail.

c_14 commented on 2013-11-12 20:42

Added --optimize=1 to install line to compile .pyo files so they can be tracked by pacman. http://sprunge.us/DKPG

jboy commented on 2013-10-18 19:09

There's an error in this version that causes obnam to fail. According to the developer, "This was fixed on December 3, last year, and included in the 1.20121216 release. You need a newer version of cliapp, preferably the current version, 1.20130808."

Azkato commented on 2012-07-25 18:01

The PKGBUILD works for version 1.20120630 and md5sum 3d9b0c7eb921edebcd6b9e7ddc7e93f2

ejona86 commented on 2012-06-02 16:09

The PKGBUILD works for version 0.29 and md5sum 9f5006fe3cb141a9436003274cbfd5da

ejona86 commented on 2012-06-02 14:57

The pkgdesc was accidentally copied from python2-larch. Something like "Python framework for Unix-like command line programs" would be more appropriate.

mathieu.clabaut commented on 2012-01-24 17:34

Updated. Thanks

Anonymous comment on 2012-01-13 11:21

The source for version 0.21 is nolonger available.

The PKGBUILD works with version 0.23 and md5sum 823fd3de779ad9bd913eb5edb88ab6ca.